#(eatdirt) upstream screwed up api naming once, hence the complicated
#way to do simple things
%define         api                   2.2
%define         prevapi               %{api}
%define         major                 2

%define         gvaname               gviewaudio
%define         libgvaname            %mklibname %{gvaname} %{prevapi} %{major}
%define         develgvaname          %mklibname %{gvaname} %{prevapi} -d

%define         gvename               gviewencoder
%define         libgvename            %mklibname %{gvename} %{api} %{major}
%define         develgvename          %mklibname %{gvename} %{api} -d

%define         gvv4l2name            gviewv4l2core
%define         libgvv4l2name         %mklibname %{gvv4l2name} %{api} %{major}
%define         develgvv4l2name       %mklibname %{gvv4l2name} %{api} -d

%define         gvrendername          gviewrender
%define         libgvrendername       %mklibname %{gvrendername} %{api} %{major}
%define         develgvrendername     %mklibname %{gvrendername} %{api} -d

Name:           guvcview
Version:        2.1.0
Release:        %mkrel 2

Summary:        GTK+ UVC Viewer and Capturer
Group:          Video/Utilities
License:        GPLv3+

URL:            https://guvcview.sourceforge.net/
Source0:        https://sourceforge.net/projects/%{name}/files/source/%{name}-src-%{version}.tar.bz2
#Patch0:		guvcview-ffmpeg-includes.patch

BuildRequires:  autoconf-archive
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:  intltool >= 0.40
BuildRequires:  perl
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libdvbv5)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2) >= 2.0

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%package -n %{libgvaname}
Summary:        Shared library for %{name} audio support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewaudio2 < 2.0.5-3

%description -n %{libgvaname}
%{summary}.

%package -n %{develgvaname}
Summary:        Development files for %{name} audio support
Group:          Development/Other
Requires:       %{libgvaname} = %{version}-%{release}
Provides:	%{_lib}gviewaudio-devel = %{version}-%{release}
Provides:       libgviewaudio%{prevapi}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gviewaudio-devel < 2.0.5-3

%description -n %{develgvaname}
%{summary}.

%package -n %{libgvename}
Summary:        Shared library for %{name} encoder support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewencoder2 < 2.0.5-3

%description -n %{libgvename}
%{summary}.

%package -n %{develgvename}
Summary:        Development files for %{name} encoder support
Group:          Development/Other
Requires:       %{libgvename} = %{version}-%{release}
Provides:       %{_lib}gviewencoder-devel = %{version}-%{release}
Provides:       libgviewencoder%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gviewencoder-devel < 2.0.5-3

%description -n %{develgvename}
%{summary}.

%package -n libgviewv4l2core-i18n
Summary:        Internationalization and locale data for libgviewv4l2core
Group:          System/Libraries
BuildArch:      noarch
Conflicts:      libgviewv4l2core2 < 2.0.5-3
Conflicts:      libgviewv4l2core1 < 2.0.5-3
Conflicts:      lib64gviewv4l2core2 < 2.0.5-3
Conflicts:      lib64gviewv4l2core1 < 2.0.5-3

%description -n libgviewv4l2core-i18n
Internationalization and locale data for libgviewv4l2core.

%package -n %{libgvv4l2name}
Summary:        Shared library for %{name} video support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewv4l2core2 < 2.0.5-3
Requires:       libgviewv4l2core-i18n >= %{version}-%{release}

%description -n %{libgvv4l2name}
%{summary}.

%package -n %{develgvv4l2name}
Summary:        Development files for %{name} video support
Group:          Development/Other
Requires:       %{libgvv4l2name} = %{version}-%{release}
Provides:	%{_lib}gviewv4l2core-devel = %{version}-%{release}
Provides:       libgviewv4l2core%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gviewv4l2core-devel < 2.0.5-3

%description -n %{develgvv4l2name}
%{summary}.

%package -n %{libgvrendername}
Summary:        Shared library for %{name} rendering support
Group:          System/Libraries
Obsoletes:      %{_lib}gviewrender2 < 2.0.5-3

%description -n %{libgvrendername}
%{summary}.

%package -n %{develgvrendername}
Summary:        Development files for %{name} rendering support
Group:          Development/Other
Requires:       %{libgvrendername} = %{version}-%{release}
Provides:       %{_lib}gviewrender-devel = %{version}-%{release}
Provides:       libgviewrender%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}gviewrender-devel < 2.0.5-3

%description -n %{develgvrendername}
%{summary}.

%prep
%autosetup -p1 -n %{name}-src-%{version}

%build
#autoreconf -fi
%configure --enable-pulse \
               --disable-debian-menu \
               --disable-silent-rules \
               --disable-static
%make_build

%install
%make_install

desktop-file-install \
        --add-category='X-AudioVideoCapture' \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
%find_lang gview_v4l2core

find %{buildroot}%{_libdir} -name *.la -delete

rm -rf _doc
mv %{buildroot}%{_datadir}/doc/%{name} _doc
%__rm _doc/INSTALL

%files -f %{name}.lang
%doc _doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/*.xml

%files -n %{libgvaname}
%{_libdir}/libgviewaudio-%{prevapi}.so.%{major}{,.*}

%files -n %{develgvaname}
%{_includedir}/guvcview-2/libgviewaudio/
%{_libdir}/libgviewaudio.so
%{_libdir}/pkgconfig/libgviewaudio.pc

%files -n %{libgvename}
%{_libdir}/libgviewencoder-%{api}.so.%{major}{,.*}

%files -n %{develgvename}
%{_includedir}/guvcview-2/libgviewencoder/
%{_libdir}/libgviewencoder.so
%{_libdir}/pkgconfig/libgviewencoder.pc

%files -n libgviewv4l2core-i18n -f gview_v4l2core.lang

%files -n %{libgvv4l2name}
%{_libdir}/libgviewv4l2core-%{api}.so.%{major}{,.*}

%files -n %{develgvv4l2name}
%{_includedir}/guvcview-2/libgviewv4l2core/
%{_libdir}/libgviewv4l2core.so
%{_libdir}/pkgconfig/libgviewv4l2core.pc

%files -n %{libgvrendername}
%{_libdir}/libgviewrender-%{api}.so.%{major}{,.*}

%files -n %{develgvrendername}
%{_includedir}/guvcview-2/libgviewrender/
%{_libdir}/libgviewrender.so
%{_libdir}/pkgconfig/libgviewrender.pc


%changelog
* Sun Dec 08 2024 daviddavid <daviddavid> 2.1.0-2.mga10
+ Revision: 2122901
- rebuild for new ffmpeg 7.1

* Sun May 05 2024 eatdirt <eatdirt> 2.1.0-1.mga10
+ Revision: 2062263
- Upgrade to version 2.1.0

* Thu Dec 29 2022 daviddavid <daviddavid> 2.0.8-2.mga9
+ Revision: 1927508
- rebuild for new gsl 2.7.1

* Thu Aug 25 2022 eatdirt <eatdirt> 2.0.8-1.mga9
+ Revision: 1880293
- Upgrade to version 2.0.8
+ luigiwalser <luigiwalser>
- add upstream fixes to ffmpeg header includes
- 2.0.7
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 2.0.6-3.mga8
+ Revision: 1529691
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 daviddavid <daviddavid> 2.0.6-2.mga8
+ Revision: 1433762
- rebuild for new gsl 2.6

* Wed Dec 19 2018 eatdirt <eatdirt> 2.0.6-1.mga7
+ Revision: 1342874
- Upgrade to version 2.0.6

* Sun Sep 23 2018 umeabot <umeabot> 2.0.5-7.mga7
+ Revision: 1298152
- Mageia 7 Mass Rebuild

* Tue May 01 2018 daviddavid <daviddavid> 2.0.5-6.mga7
+ Revision: 1224134
- add gentoo patch to fix build with ffmpeg 4.0

* Wed Dec 27 2017 wally <wally> 2.0.5-5.mga7
+ Revision: 1185643
- rebuild for new gsl

* Tue May 02 2017 akien <akien> 2.0.5-4.mga6
+ Revision: 1098360
- Rebuild for ffmpeg 3.3

* Sat Mar 11 2017 wally <wally> 2.0.5-3.mga6
+ Revision: 1091932
- split out translations from libgviewv4l2core
- fix lib and devel pkg names (add api)
- own include dirs

* Wed Mar 08 2017 akien <akien> 2.0.5-2.mga6
+ Revision: 1089859
- Rebuild for ffmpeg 3.2.4

* Fri Mar 03 2017 eatdirt <eatdirt> 2.0.5-1.mga6
+ Revision: 1088564
- Upgrade to version 2.0.5

* Thu Dec 01 2016 eatdirt <eatdirt> 2.0.4-1.mga6
+ Revision: 1071484
- Upgrade to version 2.0.4

* Fri Mar 18 2016 eatdirt <eatdirt> 2.0.3-1.mga6
+ Revision: 992903
- Upgrade to version 2.0.3

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.0.2-2.mga6
+ Revision: 919005
- rebuild for gsl

* Mon Dec 14 2015 eatdirt <eatdirt> 2.0.2-1.mga6
+ Revision: 910447
- Upgrade to version 2.0.2

* Fri Nov 14 2014 akien <akien> 1.7.3-4.mga5
+ Revision: 797136
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-3.mga5
+ Revision: 751223
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-2.mga5
+ Revision: 680054
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 dams <dams> 1.7.3-1.mga5
+ Revision: 606250
- new version 1.7.3

* Sat Oct 19 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 530424
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 dams <dams> 1.7.1-1.mga4
+ Revision: 457612
- new version 1.7.1

* Mon Jul 15 2013 fwang <fwang> 1.7.0-3.mga4
+ Revision: 454473
- rebuild for new ffmpeg

* Mon Jun 03 2013 fwang <fwang> 1.7.0-2.mga4
+ Revision: 435958
- rebuild for new libpng

* Tue Apr 09 2013 dams <dams> 1.7.0-1.mga4
+ Revision: 409189
- new version 1.7.0

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-4.mga3
+ Revision: 353038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.6.1-3.mga3
+ Revision: 341629
- rebuild for new ffmpeg

* Fri Dec 07 2012 dams <dams> 1.6.1-2.mga3
+ Revision: 327847
- update %%group

* Wed Aug 29 2012 dams <dams> 1.6.1-1.mga3
+ Revision: 285006
- remove unneeded patch
- new version 1.6.1

* Sun Jul 01 2012 colin <colin> 1.6.0-2.mga3
+ Revision: 265711
- Rebuild for new libudev major

* Thu May 31 2012 fwang <fwang> 1.6.0-1.mga3
+ Revision: 252022
- try to fix build with latest ffmpeg
+ dams <dams>
- new version 1.6.0
- update BR (now supports PulseAudio)

* Tue Mar 06 2012 dams <dams> 1.5.3-1.mga2
+ Revision: 219484
- new version 1.5.3

* Mon Feb 06 2012 dams <dams> 1.5.2-1.mga2
+ Revision: 205590
- new version 1.5.2
- remove patch as merged upstream

* Mon Nov 14 2011 dams <dams> 1.5.1-2.mga2
+ Revision: 167747
- add a patch to fix 'g_thread' from upstream (SVN r815)

* Thu Nov 10 2011 dams <dams> 1.5.1-1.mga2
+ Revision: 166229
- update BR for 'gtk3' instead of 'gtk2'
- imported package guvcview

